"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.parse = parse;
exports.PKG_TYPE = void 0;
var PKG_TYPE = {
  MAVEN: "maven",
  NPM: "npm",
  GRADLE: "gradle",
  YARN: "yarn"
};
exports.PKG_TYPE = PKG_TYPE;

function parse(argv) {
  var options = {
    preview: false,
    pkgType: ""
  };

  if (argv.indexOf("maven") > 1) {
    options.pkgType = PKG_TYPE.MAVEN;
  } else if (argv.indexOf("gradle") > 1) {
    options.pkgType = PKG_TYPE.GRADLE;
  } else if (argv.indexOf("npm") > 1) {
    options.pkgType = PKG_TYPE.NPM;
  } else if (argv.indexOf("yarn") > 1) {
    options.pkgType = PKG_TYPE.YARN;
  }

  if (argv.indexOf("-p") > 1 || argv.indexOf("preview") > 1) {
    options.preview = true;
  }

  return options;
}