"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _hpm = _interopRequireDefault(require("./hpm"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _classPrivateFieldGet(receiver, privateMap) { var descriptor = _classExtractFieldDescriptor(receiver, privateMap, "get"); return _classApplyDescriptorGet(receiver, descriptor); }

function _classApplyDescriptorGet(receiver, descriptor) { if (descriptor.get) { return descriptor.get.call(receiver); } return descriptor.value; }

function _classPrivateFieldSet(receiver, privateMap, value) { var descriptor = _classExtractFieldDescriptor(receiver, privateMap, "set"); _classApplyDescriptorSet(receiver, descriptor, value); return value; }

function _classExtractFieldDescriptor(receiver, privateMap, action) { if (!privateMap.has(receiver)) { throw new TypeError("attempted to " + action + " private field on non-instance"); } return privateMap.get(receiver); }

function _classApplyDescriptorSet(receiver, descriptor, value) { if (descriptor.set) { descriptor.set.call(receiver, value); } else { if (!descriptor.writable) { throw new TypeError("attempted to set read only private field"); } descriptor.value = value; } }

var _cwd = new WeakMap();

var Publisher = /*#__PURE__*/function () {
  function Publisher(cwd) {
    _classCallCheck(this, Publisher);

    _cwd.set(this, {
      writable: true,
      value: void 0
    });

    _classPrivateFieldSet(this, _cwd, cwd);
  }

  _createClass(Publisher, [{
    key: "publish2Hpm",
    value: function publish2Hpm(preview) {
      var cli = new _hpm["default"](_classPrivateFieldGet(this, _cwd));

      if (!cli.installed()) {
        console.log("hpm-cli is not installed, please run `npm i -g @ohos/hpm-cli` to install it.");
        return;
      }

      if (preview) {
        cli.pack();
      } else {
        cli.publish();
      }
    }
  }]);

  return Publisher;
}();

exports["default"] = Publisher;